<!DOCTYPE html>
<html lang="pl-PL">
<head>
    <%- include('partials/_head.ejs') %>
    <link href='https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/5.11.5/main.min.css' rel='stylesheet' />
    <link href="/css/styles.css" rel="stylesheet" /> <!-- Include custom CSS -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/5.11.5/main.min.js'></script>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/interact.js/1.10.11/interact.min.js'></script>
</head>
    <style>
        #newButton {
            padding: 10px;
            width: 150px;
            background-color: transparent;
            color: #0984e3;
            border-radius: 25px;
            border: 1px solid #0984e3;
            transition: 0.2s ease-in-out;
        }
        #newButton:hover {
          background-color: #0984e3;
          color: azure;
        }
        #addDescriptionButton {
            padding: 10px;
            width: 265px;
            background-color: transparent;
            color: #0984e3;
            border-radius: 25px;
            border: 1px solid #0984e3;
            transition: 0.2s ease-in-out;
        }
        #addDescriptionButton:hover {
          background-color: #0984e3;
          color: azure;
        }
    </style>
<body>
    <%- include('partials/_header.ejs') %>
    <% if (session && session.userId) { %>
        <div style="text-align: right; margin: 20px;">
            <a href="/tasks/new" class="btn btn-primary" id="newButton">Nowe Zadanie</a>
            <a href="/tasks/description" class="btn btn-primary" id="addDescriptionButton">Dodaj opis profilu użytkownika</a>
        </div>
    <% } %>
    <div id='calendar'></div>
    <%- include('partials/_footer.ejs') %>
    <script src="/js/calendarInit.js"></script>
</body>
</html>